org.apache.calcite.avatica.proto

## Interface Responses.ResultSetResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.ResultSetResponse, Responses.ResultSetResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.ResultSetResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Common.Frame` `getFirstFrame()` `.Frame first_frame = 5;`
`Common.FrameOrBuilder` `getFirstFrameOrBuilder()` `.Frame first_frame = 5;`
`Responses.RpcMetadata` `getMetadata()` with no signature nor other data.
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` with no signature nor other data.
`boolean` `getOwnStatement()` `bool own_statement = 3;`
`Common.Signature` `getSignature()` `.Signature signature = 4;`
`Common.SignatureOrBuilder` `getSignatureOrBuilder()` `.Signature signature = 4;`
`int` `getStatementId()` `uint32 statement_id = 2;`
`long` `getUpdateCount()` -1 for normal result sets, else this response contains a dummy result set
`boolean` `hasFirstFrame()` `.Frame first_frame = 5;`
`boolean` `hasMetadata()` with no signature nor other data.
`boolean` `hasSignature()` `.Signature signature = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### getStatementId

    int getStatementId()

`uint32 statement_id = 2;`

#### getOwnStatement

    boolean getOwnStatement()

`bool own_statement = 3;`

#### hasSignature

    boolean hasSignature()

`.Signature signature = 4;`

#### getSignature

    Common.Signature getSignature()

`.Signature signature = 4;`

#### getSignatureOrBuilder

    Common.SignatureOrBuilder getSignatureOrBuilder()

`.Signature signature = 4;`

#### hasFirstFrame

    boolean hasFirstFrame()

`.Frame first_frame = 5;`

#### getFirstFrame

    Common.Frame getFirstFrame()

`.Frame first_frame = 5;`

#### getFirstFrameOrBuilder

    Common.FrameOrBuilder getFirstFrameOrBuilder()

`.Frame first_frame = 5;`

#### getUpdateCount

    long getUpdateCount()

     -1 for normal result sets, else this response contains a dummy result set

`uint64 update_count = 6;`

#### hasMetadata

    boolean hasMetadata()

     with no signature nor other data.

`.RpcMetadata metadata = 7;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

     with no signature nor other data.

`.RpcMetadata metadata = 7;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

     with no signature nor other data.

`.RpcMetadata metadata = 7;`